#!/usr/bin/env python
"""
$URL: svn+ssh://svn.mems-exchange.org/repos/trunk/sancho/setup.py $
$Id: setup.py 31598 2009-04-29 18:51:25Z dbinger $
"""
from __init__ import __version__
import sys, os, re

try:
    assert 'USE_DISTUTILS' not in os.environ
    from setuptools import setup
except (ImportError, AssertionError):
    from distutils.core import setup


if 'sdist' in sys.argv:
    if sys.platform == 'darwin':
        # Omit extended attributes from tarfile
        os.environ['COPYFILE_DISABLE'] = 'true'    
    # Make sure that version numbers have all been updated.
    PAT = re.compile(r'\b%s\b' % re.escape(__version__))
    assert len(PAT.findall(open("LICENSE.txt").read())) == 12, __version__
    assert PAT.search(open("CHANGES.txt").readline()), __version__

    # Make sure that copyright statements are current.
    from datetime import datetime
    year = datetime.now().year # no tz, ok
    copyright = "Copyright (c) %s Corporation for National Research Initiatives" % year
    assert open("README.txt").read().count(copyright) == 1

setup(name = "Sancho",
      version = __version__,
      description = "A simple unit testing framework",
      author = "CNRI",
      author_email = "webmaster@mems-exchange.org",
      url = "http://www.mems-exchange.org/software/sancho/",
      license = "see LICENSE.txt",
      package_dir = {"sancho": "."},
      packages = ["sancho"],
      scripts = ["urun.py"],
      platforms = ['Python 2.4'],
     )
